# m_serial.cc File Reference

## Detailed Description

Mode class for serial / GPRS modem mode.

Definition in file m_serial.cc.

`#include "m_serial.h"`
`#include "controller.h"`
`#include "protostructs.h"`
`#include "endian.h"`
`#include "debug.h"`
`#include <stdexcept>`

Include dependency graph for m_serial.cc:

Go to the source code of this file.

## Namespaces

namespace | Barry
namespace | Barry::Mode